Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
datasets
Dataset Create
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/datasets \
  --header 'Content-Type: application/json' \
  --data '
{
  "rows": [
    {}
  ],
  "name": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/datasets"

payload = {
"rows": [{}],
"name": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({rows: [{}], name: '<string>', description: '<string>'})
};

fetch('https://api.example.com/v2/{entity}/{project}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "digest": "<string>",
  "object_id": "<string>",
  "version_index": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Body

application/json
rows
Rows · object[]
required

Dataset rows

name
string | null

The name of this dataset. Datasets with the same name will be versioned together.

description
string | null

A description of this dataset

Response

Successful Response

digest
string
required

The digest of the created dataset

object_id
string
required

The ID of the created dataset

version_index
integer
required

The version index of the created dataset